Page MenuHomePhabricator

Path processing not correct for SVG file with corrupt drawing (its nodes are invalid)
Closed, InvalidPublic

Description

https://commons.wikimedia.org/wiki/File:LibrsvgBug_T193300.svg is not rendered correctly:

(I think) It should be a continuous line


As described in https://phabricator.wikimedia.org/T193300#4391574 this file seems to be corrupt, therefore this request might be invalid.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 10:55 PM
JoKalliauer updated the task description. (Show Details)Apr 27 2018, 11:07 PM
JoKalliauer updated the task description. (Show Details)

(I think) It should be a contious line

I expect this to be behavior in the librsvg library (which is also used by Inkscape).
Using rsvg-view-3 from librsvg2-tools-2.40.20, I get these different results:

Reedy updated the task description. (Show Details)Apr 28 2018, 4:07 PM
Aklapper renamed this task from pathprozessing not correct to Path processing in specific SVG file is not correct.Apr 28 2018, 4:16 PM
Vvjjkkii renamed this task from Path processing in specific SVG file is not correct to v1daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JoKalliauer renamed this task from v1daaaaaaa to Path processing in specific SVG file is not correct.Jul 1 2018, 7:23 AM
JoKalliauer updated the task description. (Show Details)
JoKalliauer added a subscriber: Aklapper.
Perhelion added a subscriber: Perhelion.EditedJul 2 2018, 7:33 PM

I mean this is corrupt drawing not corrupt rendering. The curve handles on the both relevant nodes are fully switched at 180°. So I propose
WON'T FIX. Fixed nodes:

Perhelion lowered the priority of this task from High to Lowest.Jul 2 2018, 7:35 PM
JoKalliauer updated the task description. (Show Details)Jul 2 2018, 8:33 PM

@Aklapper : According to your comment T193300#4166078

@RazrFalcon in T40010#4443804 :

Inkscape has it's own rendering backend.

But as Perhelion said: the nodes are invalid. (corrupt drawing)

Aklapper renamed this task from Path processing in specific SVG file is not correct to Path processing not correct for SVG file with corrupt drawing (its nodes are invalid).Mar 10 2019, 5:16 PM
Aklapper closed this task as Invalid.Mar 10 2019, 5:50 PM

I'm closing this as invalid per the last two comments.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 10 2019, 5:50 PM